com.aliyun.svideosdk

## Class AlivcSdkCore

- java.lang.Object
- - com.aliyun.svideosdk.AlivcSdkCore

-     public class AlivcSdkCore
      extends java.lang.Object

  SDK entry, you must call rigister, and then use SDK function

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AlivcSdkCore.AlivcDebugLoggerLevel` SDK log report level define
    `static class` | `AlivcSdkCore.AlivcLogLevel` SDK log output level define

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APP_PRIVATE_DIR`
    `static java.lang.String` | `APP_PUBLIC_DIR`
    `protected static long` | `mNativeHandle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlivcSdkCore()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AlivcSdkCore.AlivcDebugLoggerLevel` | `getDebugLoggerLevel()` Deprecated.
    `static AlivcSdkCore.AlivcLogLevel` | `getLogLevel()` Get current sdk log level
    `static boolean` | `register(Context context)`
    `static boolean` | `register(Context context, AlivcSdkConfig alivcSdkConfig)`
    `static void` | `registerAsync(Context context, AlivcSdkConfig alivcSdkConfig, ILicenseNativeInitCallback callback)`
    `static void` | `setDebugLoggerLevel(AlivcSdkCore.AlivcDebugLoggerLevel level)` Deprecated.
    `static void` | `setLogLevel(AlivcSdkCore.AlivcLogLevel level)` Set SDK log level, default: `AlivcSdkCore.AlivcLogLevel.AlivcLogWarn`
    `static void` | `setLogPath(java.lang.String path)` set local path to save the log default for /file/Log/ShortVideo since v3.31.0
    `static void` | `unregister()` UnRegister the SDK

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mNativeHandle

          protected static long mNativeHandle

    - #### APP_PRIVATE_DIR

          public static java.lang.String APP_PRIVATE_DIR

    - #### APP_PUBLIC_DIR

          public static java.lang.String APP_PUBLIC_DIR

  - ### Constructor Detail

    - #### AlivcSdkCore

          public AlivcSdkCore()

  - ### Method Detail

    - #### register

          public static boolean register(Context context)

    - #### register

          public static boolean register(Context context,
                                         AlivcSdkConfig alivcSdkConfig)

    - #### registerAsync

          public static void registerAsync(Context context,
                                           AlivcSdkConfig alivcSdkConfig,
                                           ILicenseNativeInitCallback callback)

    - #### unregister

          public static void unregister()

      UnRegister the SDK

    - #### setLogLevel

          public static void setLogLevel(AlivcSdkCore.AlivcLogLevel level)

      Set SDK log level, default: `AlivcSdkCore.AlivcLogLevel.AlivcLogWarn`
      Parameters:
        `level` - see `AlivcSdkCore.AlivcLogLevel`

    - #### getLogLevel

          public static AlivcSdkCore.AlivcLogLevel getLogLevel()

      Get current sdk log level
      Returns:

    - #### setDebugLoggerLevel

          @Deprecated
          public static void setDebugLoggerLevel(AlivcSdkCore.AlivcDebugLoggerLevel level)

      Deprecated.
      Set SDK log level, default: `AlivcDebugLoggerLevel.AlivcDLNormal` deprecated in v3.31.0
      Parameters:
        `level` - see `AlivcSdkCore.AlivcDebugLoggerLevel`

    - #### getDebugLoggerLevel

          @Deprecated
          public static AlivcSdkCore.AlivcDebugLoggerLevel getDebugLoggerLevel()

      Deprecated.
      Get current sdk log report level deprecated in v3.31.0
      Returns:

    - #### setLogPath

          public static void setLogPath(java.lang.String path)

      set local path to save the log default for /file/Log/ShortVideo since v3.31.0
      Parameters:
        `path` -